datacache <- new.env(hash=TRUE, parent=emptyenv())

ragene10sttranscriptcluster <- function() showQCData("ragene10sttranscriptcluster", datacache)
ragene10sttranscriptcluster_dbconn <- function() dbconn(datacache)
ragene10sttranscriptcluster_dbfile <- function() dbfile(datacache)
ragene10sttranscriptcluster_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ragene10sttranscriptcluster_dbInfo <- function() dbInfo(datacache)

ragene10sttranscriptclusterORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ragene10sttranscriptcluster.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ragene10sttranscriptcluster", "chip ragene10sttranscriptcluster", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("ragene10sttranscriptcluster.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ragene10sttranscriptcluster_dbconn())
}

